Bug 178322 - kdelibs: follow fdo icon spec
kdelibs: follow fdo icon spec
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kdelibs (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-19 09:10 EST by Rex Dieter
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-25 11:02:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2006-01-19 09:10:10 EST
Per fdo icon spec and http://fedoraproject.org/wiki/ScriptletSnippets (Gtk+ 
Icon cache), something like the following should be added: 
 
%post 
for icon_theme in crystalsvg hicolor ; do 
  touch --no-create %{_datadir}/icons/${icon_theme} ||: 
  gtk-update-icon-cache -q %{_datadir}/icons/${icon_theme} 2> /dev/null ||: 
done 
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || : 
 
%postun 
for icon_theme in crystalsvg hicolor ; do 
  touch --no-create %{_datadir}/icons/${icon_theme} ||: 
  gtk-update-icon-cache -q %{_datadir}/icons/${icon_theme} 2> /dev/null ||: 
done 
 
And while we're on the topic, wouldn't hurt to add 
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || : 
to both %post/%postun to register kdelibs' apps that contain 
MimeType= 
in their .desktop files.
Comment 1 Rex Dieter 2006-01-19 10:33:18 EST
Upon closer inspection, kdelibs doesn't put anything in hicolor/ so references  
to it should be omitted, ie, use  
<code>  
for icon_theme in crystalsvg ; do 
</code> 
instead. 
Comment 2 Ngo Than 2006-01-25 11:02:01 EST
it's now fixed in CVS, it will be included in next rebuild. Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.